
:root {
  --main-text-color: #42001C;
  --main-link-color: #0000FF;
  --hovered-link-color: #5500BD;
  --main-bg-color: #FFE5EE;
  --darker-bg-color: #FFCCDE;
  --navmenu-bg-color: #F4C3CD;
  --main-button-bg-color: #FFF7FA;
  --main-button-bg-hover-color: #FFFFFF;
}

* {
    box-sizing: border-box;
}

@font-face {
  font-family: 'Atkinson Hyperlegible';
  font-style: normal;
  src: url('atkinson-hyperlegible-v12-latin-regular.woff2') format('woff2'),
     url('atkinson-hyperlegible-v12-latin-regular.ttf') format('truetype');
}

@font-face {
  font-family: 'Atkinson Hyperlegible';
  font-style: normal;
  font-weight: bold;
  src: url('atkinson-hyperlegible-v12-latin-700.woff2') format('woff2'),
     url('atkinson-hyperlegible-v12-latin-700.ttf') format('truetype');
}


body {
    background-color: #FFB7CF;
    background-image: url('bg.png');
    background-repeat: repeat;
    background-attachment: local;

    font-size: 16px;
    font-family: 'Atkinson Hyperlegible', Tahoma, Lato, Verdana, sans-serif;
    margin: 0;
    color: var(--main-text-color);

    margin: 0;
}

ul {
    color: var(--main-text-color);
}

ul li {
    padding: 6px;
}

ol {
    color: var(--main-text-color);
}

ol li {
    padding: 6px;
}

p.centered {
    text-align: center;
}

p.big-centered {
    text-align: center;
    font-size : 1.25em;
}

p.arcade-game-name-text {
    text-align: center;
    font-size : 1.7em;
}

.big-button,
#container .back-to-top a {
  color:  var(--main-text-color);
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;

  border: none;
  border-radius: 0.5rem;
  display: inline-block;
  font-size: 1em;
}

.big-button {
  background-color: var(--main-button-bg-color);
}

#container .back-to-top a {
  background-color: var(--main-bg-color);
}

.big-button:visited {
    color: var(--main-text-color);
}

.big-button:hover,
#container .back-to-top a:hover {
    background-color: var(--main-button-bg-hover-color);
    transition: color 0.25s ease, background-color 0.25s ease;
}

#container .back-to-top {
  display: block;
  text-align: center;
  padding: 1em 12px;
}

.textInput {
  padding: 6px 6px;
}

.game {
    padding-top: 15px;
    padding-bottom: 15px;
}

#prev-next {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 20px;
}


.logo-img {
    top: 20px;
    left: 8px;

    margin: 10px 0px 0px 10%;

    z-index: 255;

    border: none;
    outline: none;
}

.topright-boar {
    border: none;
    outline: none;
}

.bottomleft-gif {
    position: fixed;
    bottom: 20px;
    left: 8px;

    z-index: 255;

    border: none;
    outline: none;
}

.bottomright-gif {
    position: fixed;
    bottom: 20px;
    right: 8px;

    z-index: 255;

    border: none;
    outline: none;
}

#container {
    max-width: 900px;
    margin: 0 auto;
}

#container a {
    color: var(--main-link-color);
    &:hover, &:visited, &:active { color: var(--hovered-link-color); }
    font-weight: bold;
    text-decoration: underline;
    /*text-shadow: #461202  1px 1px 1px, #461202 -1px -1px 1px, #461202 -1px 1px 1px, #461202 1px -1px 1px;*/
}

#container h1,
#container h2,
#container h3,
#container h4,
#container h5,
#container h6 {
    color: var(--main-text-color);
}

#container .rendered-markdown h1 a,
#container .rendered-markdown h2 a,
#container .rendered-markdown h3 a,
#container .rendered-markdown h4 a,
#container .rendered-markdown h5 a,
#container .rendered-markdown h6 a { 
    color: var(--main-text-color); 
    text-decoration: none;
    &:hover, &:visited, &:active { color: var(--main-text-color); }
    all: unset;
    pointer-events: none;
}

#container .rendered-markdown img { 
    height: auto;
    max-width: 100%;
}

#container .newsletter-embed {
    outline-style: dashed;
    outline-color: var(--main-text-color);
    border-radius: 1.0em;
    text-align: center;
    padding: 1em;
}

#container .blog-posts-container {
    outline-style: dashed;
    outline-color: var(--main-text-color);
    border-radius: 1.0em;
}

#container .blog-post-list {
  list-style-type: "";
  padding-inline: 2px;
  line-height: 1.5em;

  font-weight: bold;
  border-radius: 1.0rem;
  text-decoration: none;
}

#container .blog-post-list-entry {
  list-style-type: "";

  font-weight: bold;
  border-radius: 0.25rem;
  text-decoration: none;
}

#container .blog-post-list-entry time { 
    font-family: monospace;
    background-color: var(--darker-bg-color);
    padding: .15em 4px;
    border-radius: 3px;
    margin-right: 2px;
}

#container .blog-post-list-entry a {
}

#container .game-links a {
    color: var(--main-text-color);
    font-weight: bold;
    text-decoration: none;
    vertical-align: middle;
    font-size : 1.25em;
    /*text-shadow: #461202  1px 1px 1px, #461202 -1px -1px 1px, #461202 -1px 1px 1px, #461202 1px -1px 1px;*/
}

#main-flex {
    display: flex;
    padding: 0;
    margin: 0;
    border: 0;
}

#main-header {
    background-color: #C5EBFF;
}

#main-header img {
    height: auto;
    width: 100%;
    display: block;
}

#main-nav-menu {
    background-color: var(--navmenu-bg-color);
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-around;
    padding: 0px;

    border: 6px solid transparent;
    border-image: url("nav_menu_border.png") 6 round;
    border-left: 0;
    border-right: 0;
}

#main-nav-menu a,
#main-nav-menu a:hover,
#main-nav-menu a:visited,
#main-nav-menu a:active {
    margin: 2px 10px 2px 10px;
    color: var(--main-text-color);
    font-weight: bold;
    text-decoration: none;
    vertical-align: middle;
    font-size : 2em;
}

#main-nav-menu a
#main-nav-menu a:visited {
    color: var(--main-text-color);
}

#main-nav-menu a:hover,
#main-nav-menu a:active {
    color: var(--hovered-link-color);
}

.game-logo-img {
    width: 80%;
    height: auto;
}

.yt-embed {
    text-align: center;
    iframe {
        aspect-ratio: 16 / 9;
        height: auto;
        width: 100%;
    }
}

#game-link-icon {
    vertical-align: middle;
}

ul.game-links {
    margin: 0;
    padding: 0;
    list-style-type: none;
    color: var(--main-text-color);
}

ul.game-links li {
    padding: 4px 0;
    line-height: 3;
}

ul.game-links li a {
    display: inline-block;
    width: 100%;

    background-color: var(--main-button-bg-color);
    font-weight: bold;
    border-radius: 1.0rem;
    text-decoration: none;
    text-align: center;
}
ul.game-links li a:visited {color: var(--main-text-color);}
ul.game-links li a:hover{
    background-color: var(--main-button-bg-hover-color);
    transition: color 0.25s ease, background-color 0.25s ease;
}

main {
    flex: 1;
    padding: 0;
    order: 1;
    width: 100%;

    background-color: var(--main-bg-color);
    background-clip: padding-box;
    border: 30px solid transparent;
    border-image: url("website_border.png") 30 repeat;

    border-top: 0;
}

#container #main-body {
    padding: 20px 80px 20px 80px;
}

footer {
    width: 100%;
    height: 40px;
    padding: 10px;
    text-align: center;
    /* this centers the footer text */
}


@media only screen and (max-width: 800px) {
    #main-flex {
        flex-wrap: wrap;
    }

    #navbar ul {
        flex-wrap: wrap;
    }

    .logo-img {
        max-width: 100%;
        height: auto;
        top: auto;
        left: auto;

        margin: auto;
    }

    .logo-actual-img {
        max-width: 100%;
        height: auto;
    }

    .topright-boar {
        display: none;
    }

    .bottomleft-gif {
        position: static;
    }

    .bottomright-gif {
        display: none;
    }

    #container #main-body {
        padding: 20px;
    }

    main {
        border-left: 0;
        border-right: 0;
    }
}
